#{extends 'borderNG.html' /}
<ol class="breadcrumb">
	<li><a href="@{VerifikatorCtr.rekanan()}"> &{'verifikator.daftar_penyedia_barang_jasa'}</a></li>
	<li><a href="@{VerifikatorCtr.view(rekanan.rkn_id)}">&{'verifikator.detail_penyedia'}</a></li>
	<li class="active">&{'verifikator.edit'}</li>
</ol>

<div class="content">
#{alert /}
#{form @VerifikatorCtr.editRekananSubmit(), method:'POST'}
    <input type="hidden" name="rekanan.rkn_id" value="${rekanan.rkn_id}" />
    #{if blacklist}
    <input type="hidden" name="blacklist.bll_id" value="${blacklist.bll_id}" />    
    #{/if}
    <div class="form-group row">
		<label class="col-lg-2 col-form-label">ID Penyedia</label>
		<div class="col-lg-10">
			<p class="form-control-static">${rekanan.rkn_id}</p>
		</div>
	</div>
    <div class="form-group row">
        <label class="col-lg-2 col-form-label">Bentuk Usaha</label>
        <div class="col-lg-8 #{validate 'rekanan.btu_id'/}">
			#{if rekanan.perusahaanAsing} <p class="form-control-static">${rekanan.bentuk_usaha?.label}</p> #{/if}
			#{else}
				#{selectBentukUsaha 'rekanan.btu_id', value:rekanan?.btu_id /}
                <div class="invalid-feedback">#{error 'rekanan.btu_id' /}</div>
			#{/else}
        </div>
    </div>
	<div class="form-group row">
		<label class="col-lg-2 col-form-label">User ID</label>
		<div class="col-lg-10">
			<p class="form-control-static">${rekanan.rkn_namauser}</p>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-2 col-form-label">Nama Perusahaan</label>
		<div class="col-lg-10 ">
			<input size="50" name="rekanan.rkn_nama" value="${rekanan.rkn_nama}" class="form-control #{validate 'rekanan.rkn_nama'/}"/>
			<div class="invalid-feedback">#{error 'rekanan.rkn_nama' /}</div>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-2 col-form-label">Alamat</label>
		<div class="col-lg-10">
			<input type="text" size="50" name="rekanan.rkn_alamat" value="${rekanan.rkn_alamat}" class="form-control #{validate 'rekanan.rkn_alamat'/}"/>
			<div class="invalid-feedback">#{error 'rekanan.rkn_alamat' /}</div>
		</div>
	</div>
    #{if rekanan.perusahaanAsing}
        <div class="form-group row">
            <label class="col-lg-2 col-form-label">Kota</label>
            <div class="col-lg-10">
                <p class="form-control-static">${rekanan.kota}</p>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-lg-2 col-form-label">Negara</label>
            <div class="col-lg-10">
                <p class="form-control-static">${rekanan.negara?.nama}</p>
            </div>
        </div>
    #{/if}
    #{else}
        <div class="form-group row">
            <label class="col-lg-2 col-form-label">Kode Pos</label>
            <div class="col-lg-10">
                <p class="form-control-static">${rekanan.rkn_kodepos}</p>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-lg-2 col-form-label">Kabupaten/Kota</label>
            <div class="col-lg-10">
                <p class="form-control-static">${rekanan.kabupaten?.kbp_nama}</p>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-lg-2 col-form-label">Provinsi</label>
            <div class="col-lg-10">
                <p class="form-control-static">${rekanan.kabupaten?.propinsi?.prp_nama}</p>
            </div>
        </div>
    #{/else}
    <div class="form-group row">
        <label class="col-lg-2 col-form-label">NPWP</label>
        <div class="col-lg-8">
            <input type="text" size="50" id="npwp" name="rekanan.rkn_npwp" value="${rekanan.rkn_npwp}" class="form-control #{validate 'rekanan.rkn_npwp'/}" placeholder="__.___.___._-___.___"/>
            <div class="invalid-feedback">#{error 'rekanan.rkn_npwp' /}</div>
        </div>
    </div>
    <div class="form-group row">
        <label class="col-lg-2 col-form-label">Email</label>
        <div class="col-lg-8">
            <input type="text" name="rekanan.rkn_email" value="${rekanan.rkn_email}" class="form-control #{validate 'rekanan.rkn_email'/}"/>
            <div class="invalid-feedback">#{error 'rekanan.rkn_email' /}</div>
        </div>
    </div>
    #{if rekanan.perusahaanAsing}#{/if}
    #{else}
        <div class="form-group row">
            <label class="col-lg-2 col-form-label">No. PKP</label>
            <div class="col-lg-7">
                <p class="form-control-static">${rekanan.rkn_pkp}</p>
            </div>
        </div>
    #{/else}
    <div class="form-group row">
        <label class="col-lg-2 col-form-label">No. Telepon</label>
        <div class="col-lg-8">
            #{if rekanan.rkn_status == 0}
                <input type="number" name="rekanan.rkn_telepon" value="${rekanan.rkn_telepon}" class="form-control #{validate 'rekanan.rkn_telepon'/}"/>
                <div class="invalid-feedback">#{error 'rekanan.rkn_telepon' /}</div>
            #{/if}
            #{else}
                <p class="form-control-static">${rekanan.rkn_telepon}</p>
            #{/else}
        </div>
    </div>
    <div class="form-group row">
        <label class="col-lg-2 col-form-label">No. Fax</label>
        <div class="col-lg-8">
            #{if rekanan.rkn_status == 0}
                <input type="number" name="rekanan.rkn_fax" value="${rekanan.rkn_mobile_phone}" class="form-control #{validate 'rekanan.rkn_fax'/}"/>
                <div class="invalid-feedback">#{error 'rekanan.rkn_fax' /}</div>
            #{/if}
            #{else}
                <p class="form-control-static">${rekanan.rkn_mobile_phone}</p>
            #{/else}
        </div>
    </div>
    <div class="form-group row">
        <label class="col-lg-2 col-form-label">No. Handphone</label>
        <div class="col-lg-8">
            #{if rekanan.rkn_status == 0}
                <input type="number" name="rekanan.rkn_mobile_phone" value="${rekanan.rkn_mobile_phone}" class="form-control #{validate 'rekanan.rkn_mobile_phone'/}"/>
                <div class="invalid-feedback">#{error 'rekanan.rkn_mobile_phone' /}</div>
            #{/if}
            #{else}
                <p class="form-control-static">${rekanan.rkn_mobile_phone}</p>
            #{/else}
        </div>
    </div>
	<div class="form-group row">
		<label class="col-lg-2 col-form-label">Tanggal Pendaftaran</label>
		<div class="col-lg-10">
			<p class="form-control-static">${rekanan.rkn_tgl_daftar.formatDateTime()}</p>
		</div>
	</div>
	#{if blacklist != null}
	<div class="form-group row">
		<label class="col-lg-2 col-form-label">Daftar Hitam</label>
		<div class="col-lg-10">
			<p class="form-control-static">Berlaku sejak ${blacklist.bll_tglawal.formatDateTime()}</p>
		</div>
	</div>
	#{/if}
	<div class="form-group row">
		<label class="col-lg-2 col-form-label">Perubahan Data Terakhir</label>
		<div class="col-lg-10">
			<p class="form-control-static"> ${rekanan.auditupdate.formatDateTime()}</p>
		</div>
	</div>
	#{saveButton /}
    #{backButton action:@VerifikatorCtr.view(rekanan.rkn_id) /}
 #{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript"  src="#{assets '/js/jquery.maskedinput.min.js'/}"></script>
<script type="text/javascript">  
$("#npwp").mask());
</script>
#{/set}